I (and my friends) have to develop an expert system for my AI class. My team decided that we will use CLIPS and Python with PyCLIPS as an interface since it’s still being actively maintained. The only problem is that the current Windows binary is too old and only support Python 2.5.

So, I’ve successfully (in fact, accidentally) compiled PyCLIPS 1.0.7.348 with some version of MinGW on my friend‘s machine. The package was tested with Python 2.6 but it should work fine on any Python 2.x too. I won’t created an installer since it’s too much of a hassle. Just drop the package in your site-packages directory and you are good to go. Don’t forget to install CLIPS beforehand.

Download: pyclips-1.0.7.348-clips-6.24.win32-py2.6-unofficial.zip

P.S. I really want to use PyCLIPS icon as a leading image but it’s too small. :(